<?php

namespace CreoCode\ContaoPhotoswipe\ContaoManager;

use Contao\CoreBundle\ContaoCoreBundle;
use Contao\ManagerPlugin\Bundle\BundlePluginInterface;
use Contao\ManagerPlugin\Bundle\Config\BundleConfig;
use Contao\ManagerPlugin\Bundle\Parser\ParserInterface;
use CreoCode\ContaoPhotoswipe\ContaoPhotoswipe;

/**
 * Plugin for the Contao Manager.
 */
class Plugin implements BundlePluginInterface
{
    /**
     * {@inheritdoc}
     */
    public function getBundles(ParserInterface $parser)
    {
        return [
            BundleConfig::create(ContaoPhotoswipe::class)
                ->setLoadAfter([ContaoCoreBundle::class]),
        ];
    }

}
